#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9A,0x89,0x56,0x50,0xA6,0xD7,0x0E,0xED,0x2C,0x2B,0x19,0x40,
		0x09,0xA3,0x76,0x25,0x3C,0xDB,0xC9,0x6D,0x76,0xF1,0x88,0xB9,
		0x9A,0xC4,0x79,0x5A,0x89,0x80,0x5C,0xDA,0x16,0x51,0x6B,0x88,
		0x69,0x4E,0xC8,0xD0,0xCB,0xEE,0x2E,0x9F,0x8E,0x85,0x35,0x76,
		0x1C,0xBA,0x1D,0xD2,0x2A,0x79,0xE1,0x7B,0xD7,0xFA,0x2B,0x31,
		0xE6,0x87,0x20,0xB3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
